function [Out,bDs]=set_cholesky(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',2,@isscalar);
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  R=p.Results;
  %mattype=R.mattype;
  Fprintf=R.fprintf;
  d=R.d;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  A=fc_linalg3D.random.randnsympd(N,d);
  Error=@(B) max(max(max(abs(fc_linalg3D.mtimes(B,fc_linalg3D.ctranspose(B))-A))));
  if verbose
    Fprintf('# Prototype functions: B=fun(A)\n');
    Fprintf('#   where A is a N-by-%d-by-%d 3D-array with symmetric positive definite matrices.\n',d,d);
    Fprintf('# Computes Cholesky factorizations of A such that\n');
    Fprintf('#    B_k*B_k'' = A_k    where A_k denotes squeeze(A(k,:,:))\n');
%      Fprintf('# Symmetric Positive Definite matrices\n');
%      Fprintf('# -> 3D-array with (N,m1,n1)=(%d,%d,%d),  size=[%s]\n',N,d,d,num2str(size(A)));
    Fprintf('# Error[i] computed with fun[i] output :\n#  %s\n',func2str(Error));  
  end
  
  bDs(1)=fc_bench.bdata('N',N,'%d',10);
  Out={A,Error};
end


