function [Out,bDs]=set_datas(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',[2,2],@(x) ismember(length(x),[1,2]));
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('type','array3D',@(s) ismember(lower(s),{'array3d','array2d','array1d','constant'}));
  p.parse(varargin{:});
  R=p.Results;
  %mattype=R.mattype;
  Fprintf=R.fprintf;
  d=R.d;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if length(d)==1, d(2)=d(1);end
  switch lower(R.type)
    case 'array3d'
      A=randn(N,d(1),d(2));
    case 'array2d'
      A=randn(d(1),d(2));
    case 'array1d'
      A=randn(N,1);  
    case 'constant'
      A=randn();  
  end
  if verbose
    switch lower(R.type)
    case 'array3d'
      Fprintf('# -> 3D-array with (N,m1,n1)=(%d,%d,%d),  size=[%s]\n',N,d(1),d(2),num2str(size(A)))
    case 'array2d'
      Fprintf('# -> 2D-array with (m1,n1)=(%d,%d),  size=[%s]\n',d(1),d(2),num2str(size(A)))
    case 'array1d'
      Fprintf('# -> 1D-array with  N=%d,  size=[%s]\n',N,num2str(size(A)))
    case 'constant'
      Fprintf('# -> Constant with  size=[%s]\n',num2str(size(A)))
    end
  end
  bDs(1)=fc_bench.bdata('N',N,'%d',10);
  Out={A};
end


