function [Out,bDs]=set_ebye(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',[2,2],@(x) ismember(length(x),[1,2]));
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('ltype','array3D',@(s) ismember(lower(s),{'array3d','array2d','array1d','constant'}));
  p.addParamValue('rtype','array3D',@(s) ismember(lower(s),{'array3d','array2d','array1d','constant'}));
  p.parse(varargin{:});
  R=p.Results;
  %mattype=R.mattype;
  Fprintf=R.fprintf;
  d=R.d;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if length(d)==1, d(2)=d(1);end
  
  assert( strcmp(lower(R.ltype),'array3d') || strcmp(lower(R.rtype),'array3d') )
  if verbose
    Fprintf('# Prototype functions: C=fun(A,B)\n');
    Fprintf('# Computes  A <op> B\n');  
    Fprintf('#   input parameter A is :\n');
  end 
  [A,bdA]=fc_linalg3D.benchs.set_datas(N,verbose,'d',d,'type',R.ltype,'fprintf',Fprintf);
  if verbose
    Fprintf('#   input parameter B is :\n');
  end 
  [B,bdB]=fc_linalg3D.benchs.set_datas(N,verbose,'d',d,'type',R.rtype,'fprintf',Fprintf);
  bDs=bdA;
  Out={A{1},B{1}};
end
